#!/bin/bash

# http://www.iclicker.com

# Setup script for iclicker dependencies
# The script should be run once per computer, by the computer administrator (sudoer or root user)

# If the iclicker folder is itinerant (usb or network drive), this script should be run on the computers where iclicker is meant to run

# iclicker relies on the following Libraries
# libc6	  Embedded GNU C Library: Shared libraries
# libgcc1	  GCC support library
## libqt4-svg	  Qt 4 SVG module
## libqt4-xml	  Qt 4 XML module
## libqtcore4	  Qt 4 core module
## libqtgui4	  Qt 4 GUI module
## libqtwebkit4	  Qt 4 Webkit module (qtwebkit on Fedora?)
# libstdc++6	  GNU Standard C++ Library v3
# libusb-1.0-0	  userspace USB programming library

########################################################################

distro=$(which apt-get 2> /dev/null)
ret="$?"
if [ "$ret" -eq "0" ]; then
	apt-get --yes update
	apt-get --yes install \
		libc6 \
		libgcc1 \
		libstdc++6 \
		libusb-1.0-0
#		libgstreamer-plugins-base0.10-0
#		libqt4-svg \
#		libqt4-xml \
#		libqtcore4 \
#		libqtgui4 \
#		libqtwebkit4 \
else
	distro=$(which yum 2> /dev/null)
	ret="$?"
	if [ "$ret" -eq "0" ]; then
		yum -y install \
			libusb1 \
			glibc \
			libstdc++ \
			libgcc
#			qt-x11 \
#			qt \
	else
		echo "Cannot determine distribution. Please, review $0 content and install packages accordingly to your distribution."
		exit -1
	fi
fi


